{
  "profession": "minecraft:librarian",
  "removeOtherTrades": false,
  "maxTrades": 2,
  "trades": [
    {
      "offer": {
        "itemKey": "minecraft:emerald",
        "amount": 1,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:paper",
        "amount": 24,
        "priceModifier": 0
      },
      "tradeExp": 2,
      "maxUses": 16,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 1
    },
    {
      "offer": {
        "itemKey": "minecraft:enchanted_book",
        "amount": 1,
        "priceModifier": 0,
        "advancedNBTData": "{StoredEnchantments:[{id:\"domesticationinnovation:immaturity_curse\",lvl:1s}]}"
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 12,
        "priceModifier": 0
      },
      "additionalRequest": {
        "itemKey": "minecraft:book",
        "amount": 1,
        "priceModifier": 0
      },
      "tradeExp": 1,
      "maxUses": 12,
      "priceMultiplier": 0.2,
      "demand": 0,
      "tradeLevel": 1
    },
    {
      "offer": {
        "itemKey": "minecraft:bookshelf",
        "amount": 1,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 9,
        "priceModifier": 0
      },
      "tradeExp": 1,
      "maxUses": 12,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 1
    },
    {
      "offer": {
        "itemKey": "minecraft:emerald",
        "amount": 1,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:book",
        "amount": 4,
        "priceModifier": 0
      },
      "tradeExp": 10,
      "maxUses": 12,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 2
    },
    {
      "offer": {
        "itemKey": "minecraft:enchanted_book",
        "amount": 1,
        "priceModifier": 0,
        "advancedNBTData": "{StoredEnchantments:[{id:\"spartanweaponry:expanse\",lvl:2s}]}"
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 25,
        "priceModifier": 0
      },
      "additionalRequest": {
        "itemKey": "minecraft:book",
        "amount": 1,
        "priceModifier": 0
      },
      "tradeExp": 5,
      "maxUses": 12,
      "priceMultiplier": 0.2,
      "demand": 0,
      "tradeLevel": 2
    },
    {
      "offer": {
        "itemKey": "minecraft:lantern",
        "amount": 1,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 1,
        "priceModifier": 0
      },
      "tradeExp": 5,
      "maxUses": 12,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 2
    },
    {
      "offer": {
        "itemKey": "minecraft:emerald",
        "amount": 1,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:ink_sac",
        "amount": 5,
        "priceModifier": 0
      },
      "tradeExp": 20,
      "maxUses": 12,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 3
    },
    {
      "offer": {
        "itemKey": "minecraft:enchanted_book",
        "amount": 1,
        "priceModifier": 0,
        "advancedNBTData": "{StoredEnchantments:[{id:\"domesticationinnovation:immunity_frame\",lvl:3s}]}"
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 39,
        "priceModifier": 0
      },
      "additionalRequest": {
        "itemKey": "minecraft:book",
        "amount": 1,
        "priceModifier": 0
      },
      "tradeExp": 10,
      "maxUses": 12,
      "priceMultiplier": 0.2,
      "demand": 0,
      "tradeLevel": 3
    },
    {
      "offer": {
        "itemKey": "minecraft:glass",
        "amount": 4,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 1,
        "priceModifier": 0
      },
      "tradeExp": 10,
      "maxUses": 12,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 3
    },
    {
      "offer": {
        "itemKey": "minecraft:emerald",
        "amount": 1,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:writable_book",
        "amount": 2,
        "priceModifier": 0
      },
      "tradeExp": 30,
      "maxUses": 12,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 4
    },
    {
      "offer": {
        "itemKey": "minecraft:enchanted_book",
        "amount": 1,
        "priceModifier": 0,
        "advancedNBTData": "{StoredEnchantments:[{id:\"domesticationinnovation:shadow_hands\",lvl:2s}]}"
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 14,
        "priceModifier": 0
      },
      "additionalRequest": {
        "itemKey": "minecraft:book",
        "amount": 1,
        "priceModifier": 0
      },
      "tradeExp": 15,
      "maxUses": 12,
      "priceMultiplier": 0.2,
      "demand": 0,
      "tradeLevel": 4
    },
    {
      "offer": {
        "itemKey": "minecraft:clock",
        "amount": 1,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 5,
        "priceModifier": 0
      },
      "tradeExp": 15,
      "maxUses": 12,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 4
    },
    {
      "offer": {
        "itemKey": "minecraft:compass",
        "amount": 1,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 4,
        "priceModifier": 0
      },
      "tradeExp": 15,
      "maxUses": 12,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 4
    },
    {
      "offer": {
        "itemKey": "minecraft:name_tag",
        "amount": 1,
        "priceModifier": 0
      },
      "request": {
        "itemKey": "minecraft:emerald",
        "amount": 20,
        "priceModifier": 0
      },
      "tradeExp": 30,
      "maxUses": 12,
      "priceMultiplier": 0.05,
      "demand": 0,
      "tradeLevel": 5
    },
    {
      "offer": {
        "itemKey": "quark:ancient_tome",
        "amount": 1,
        "priceModifier": 0,
        "advancedNBTData": "{StoredEnchantments:[{id:\"minecraft:lure\",lvl:3s}]}"
      },
      "request": {
        "itemKey": "quark:ancient_tome",
        "amount": 1,
        "priceModifier": 0
      },
      "additionalRequest": {
        "itemKey": "minecraft:enchanted_book",
        "amount": 1,
        "priceModifier": 0,
        "advancedNBTData": "{StoredEnchantments:[{id:\"minecraft:lure\",lvl:3s}]}"
      },
      "tradeExp": 3,
      "maxUses": 3,
      "priceMultiplier": 0.2,
      "demand": 0,
      "tradeLevel": 5
    }
  ]
}